Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.view.client
Interface TreeViewModel.NodeInfo<T>

All Known Implementing Classes:
  TreeViewModel.DefaultNodeInfo

Enclosing interface:
  TreeViewModel

    public static interface TreeViewModel.NodeInfo<T>

The info needed to create the children of a tree node.

Method Summary
`Cell<T>` | `getCell()` Get the `Cell` used to render the children of this node.
`ProvidesKey<T>` | `getProvidesKey()` Return the key provider for children of this node.
`SelectionModel<? super T>` | `getSelectionModel()` Get the `SelectionModel` used for the children of this node.
`ValueUpdater<T>` | `getValueUpdater()` Get the value updater associated with the cell.
`void` | `setDataDisplay(HasData<T> display)` Set the display that is listening to this `TreeViewModel.DefaultNodeInfo`.
`void` | `unsetDataDisplay()` Unset the display from the `TreeViewModel.DefaultNodeInfo`.

Method Detail

### getCell

    Cell<T> getCell()

  Get the `Cell` used to render the children of this node.

  Returns:
    the `Cell`

### getProvidesKey

    ProvidesKey<T> getProvidesKey()

  Return the key provider for children of this node.

  Returns:
    the `ProvidesKey`

### getSelectionModel

    SelectionModel<? super T> getSelectionModel()

  Get the `SelectionModel` used for the children of this node. To unify selection across all items of the same type, or across the entire tree, return the same instance of `SelectionModel` from all `TreeViewModel.DefaultNodeInfo`.

  Returns:
    the `SelectionModel`

### getValueUpdater

    ValueUpdater<T> getValueUpdater()

  Get the value updater associated with the cell.

  Returns:
    the value updater

### setDataDisplay

    void setDataDisplay(HasData<T> display)

  Set the display that is listening to this `TreeViewModel.DefaultNodeInfo`. The implementation should attach the display to the source of data.

  Parameters:
    `display` - the `HasData`

### unsetDataDisplay

    void unsetDataDisplay()

  Unset the display from the `TreeViewModel.DefaultNodeInfo`. The implementation should detach the display from the source of data.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD